Quantcast

ignite-hibernate-1.2.0-incubating module not compatible with hibernate-5.0.5.Final version

classic Classic list List threaded Threaded
3 messages Options
zaid zaid
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

ignite-hibernate-1.2.0-incubating module not compatible with hibernate-5.0.5.Final version

Hi,

ignite-hibernate-1.2.0-incubating module was released in June 2015 and is compatible with hibernate-4.2.6.Final version. In our project, we are using hibernate-5.0.5.Final version.

The following method needs to be changed to make it work with Hibernate 5 in HibernateRegionFactory class:

    @Override public void start(SessionFactoryOptions settings, Properties props) throws CacheException;

Please note the use of SessionFactoryOptions in method.

Is there any plan to upgrade ignite-hibernate module with latest hibernate changes?

Regards,
Zaid
Denis Magda Denis Magda
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: ignite-hibernate-1.2.0-incubating module not compatible with hibernate-5.0.5.Final version

Hi Zaid,

The work is in progress.

Denis

On Tuesday, February 14, 2017, zaid <[hidden email]> wrote:
Hi,

ignite-hibernate-1.2.0-incubating module was released in June 2015 and is
compatible with hibernate-4.2.6.Final version. In our project, we are using
hibernate-5.0.5.Final version.

The following method needs to be changed to make it work with Hibernate 5 in
*HibernateRegionFactory *class:

    @Override public void start(*SessionFactoryOptions *settings, Properties
props) throws CacheException;

Please note the use of SessionFactoryOptions in method.

Is there any plan to upgrade ignite-hibernate module with latest hibernate
changes?

Regards,
Zaid



--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/ignite-hibernate-1-2-0-incubating-module-not-compatible-with-hibernate-5-0-5-Final-version-tp10644.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.
zaid zaid
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: ignite-hibernate-1.2.0-incubating module not compatible with hibernate-5.0.5.Final version

Hi Denis,

Thank you for your response.

Regards,
Zaid
Loading...